#!/usr/bin/env python

"""
setup.py  to build mandelbot code with cython
"""
from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
from subprocess import Popen, PIPE
import os

cflags = Popen(['pkg-config', '--cflags', 'fontconfig'], stdout=PIPE).communicate()[0].split()
ldflags = Popen(['pkg-config', '--libs', 'fontconfig'], stdout=PIPE).communicate()[0].split()

cflags.extend(Popen(['pkg-config', '--cflags', 'freetype2'], stdout=PIPE).communicate()[0].split())
ldflags.extend(Popen(['pkg-config', '--libs', 'freetype2'], stdout=PIPE).communicate()[0].split())

ldflags.extend(Popen(['pdflib-config', '--libs',], stdout=PIPE).communicate()[0].split())

ldflags.extend(['-ljpeg', '-lmp3lame', ])


D = ['-DSWFTOOLS_DATADIR', '-O3']

SWFTOOLS_DIR = '/home/ricardo/Downloads/swftools-0.9.1'

ldflags.extend(['-L%s/lib' % SWFTOOLS_DIR])
LIBS = ['libgfxpdf.a', 'libgfxswf.a', 'librfxswf.a', 'libgfx.a', 'libocr.a', 'libbase.a']
ldflags.extend(map(lambda a: os.path.join('%s/lib' % SWFTOOLS_DIR, a), LIBS))


setup(
    cmdclass = {'build_ext': build_ext},
    ext_modules = [Extension("gfx", ["gfx.pyx"],
                       language="c++",
                       extra_compile_args=cflags + D,
                       extra_link_args=ldflags,
                       include_dirs = [
                                       SWFTOOLS_DIR,
                                       SWFTOOLS_DIR+'/lib/pdf',
                                       SWFTOOLS_DIR+'/lib/pdf/xpdf',
                                      ],
                  )],

)
